apt-get nie zaktualizuje starego generic-pae


8

Uruchamianie # apt-get upgrade Mam uruchomić sudo apt-get -f install. Robię to i widzę:

The following extra packages will be installed:
  linux-generic-pae linux-headers-generic-pae linux-image-generic-pae
The following packages will be upgraded:
  linux-generic-pae linux-headers-generic-pae linux-image-generic-pae
3 upgraded, 0 newly installed, 0 to remove and 138 not upgraded.
3 not fully installed or removed.
Need to get 0 B/6,460 B of archives.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? y
dpkg: dependency problems prevent configuration of linux-image-generic-pae:
 linux-image-generic-pae depends on linux-image-3.2.0-48-generic-pae; however:
  Package linux-image-3.2.0-48-generic-pae is not installed.
dpkg: error processing linux-image-generic-pae (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
dpkg: dependency problems prevent configuration of linux-headers-generic-pae:
 linux-headers-generic-pae depends on linux-headers-3.2.0-48-generic-pae; however:
  Package linux-headers-3.2.0-48-generic-pae is not installed.
dpkg: error processing linux-headers-generic-pae (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
dpkg: dependency problems prevent configuration of linux-generic-pae:
 linux-generic-pae depends on linux-image-generic-pae (= 3.2.0.48.58); however:
  Package linux-image-generic-pae is not configured yet.
 linux-generic-pae depends on linux-headers-generic-pae (= 3.2.0.48.58); however:
  Package linux-headers-generic-pae is not configured yet.
dpkg: error processing linux-generic-pae (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
Errors were encountered while processing:
 linux-image-generic-pae
 linux-headers-generic-pae
 linux-generic-pae
E: Sub-process /usr/bin/dpkg returned an error code (1)

Oto lista moich /usr/src:

/usr/src:
total used in directory 88 available 19619852
drwxr-xr-x 22 root root 4096 Feb  1 23:21 .
drwxr-xr-x 10 root root 4096 Aug 31  2012 ..
drwxr-xr-x 24 root root 4096 Jan 18  2013 linux-headers-3.2.0-36
drwxr-xr-x  7 root root 4096 Jan 18  2013 linux-headers-3.2.0-36-generic-pae
drwxr-xr-x 24 root root 4096 Feb  1  2013 linux-headers-3.2.0-37
drwxr-xr-x  7 root root 4096 Feb  1  2013 linux-headers-3.2.0-37-generic-pae
drwxr-xr-x 24 root root 4096 Feb 22  2013 linux-headers-3.2.0-38
drwxr-xr-x  7 root root 4096 Feb 22  2013 linux-headers-3.2.0-38-generic-pae
drwxr-xr-x 24 root root 4096 Mar 19  2013 linux-headers-3.2.0-39
drwxr-xr-x  7 root root 4096 Mar 19  2013 linux-headers-3.2.0-39-generic-pae
drwxr-xr-x 24 root root 4096 Apr  9  2013 linux-headers-3.2.0-40
drwxr-xr-x  7 root root 4096 Apr  9  2013 linux-headers-3.2.0-40-generic-pae
drwxr-xr-x 24 root root 4096 May  2  2013 linux-headers-3.2.0-41
drwxr-xr-x  7 root root 4096 May  2  2013 linux-headers-3.2.0-41-generic-pae
drwxr-xr-x 24 root root 4096 May 16  2013 linux-headers-3.2.0-43
drwxr-xr-x  7 root root 4096 May 16  2013 linux-headers-3.2.0-43-generic-pae
drwxr-xr-x 24 root root 4096 May 24  2013 linux-headers-3.2.0-44
drwxr-xr-x  7 root root 4096 May 24  2013 linux-headers-3.2.0-44-generic-pae
drwxr-xr-x 24 root root 4096 May 31  2013 linux-headers-3.2.0-45
drwxr-xr-x  7 root root 4096 May 31  2013 linux-headers-3.2.0-45-generic-pae
drwxr-xr-x 24 root root 4096 Feb  1 23:21 linux-headers-3.2.0-58
drwxr-xr-x  7 root root 4096 Feb  1 23:21 linux-headers-3.2.0-58-generic-pae

Większość innych moich maszyn ma również wszystkie liczby od 45 do 58. Nie wydaje mi się, że potrzebuję nawet tej wersji 48, prawda?



możesz po prostu zachować najnowsze jądro, które działa dobrze .. sprawdź jądro, którego aktualnie używasz uname -r.. odwiedź także ten link, aby uzyskać więcej informacji na temat usuwania starszych jąder: Jak usunąć lub ukryć stare wersje jądra, aby wyczyścić menu rozruchu?
dokładnie

Odpowiedzi:


10

Usunięcie lub wymuszenie usunięcia odpowiedniego pakietu dla poniższego typu błędu rozwiąże problem,

dpkg: error package-name (--configure):
 dependency problems - leaving unconfigured

W tym pytaniu występuje leaving unconfiguredbłąd dla tych trzech pakietów,

linux-image-generic-pae
linux-headers-generic-pae
linux-generic-pae

Musimy więc usunąć pakiety, uruchamiając,

sudo dpkg -r linux-image-generic-pae
sudo dpkg -r linux-headers-generic-pae
sudo dpkg -r linux-generic-pae

Jeśli podczas usuwania powyższego wystąpił problem z zależnościami, wybierz forceopcję jak poniżej, pomiń ją.

Uwaga: Wybierz opcję wymuszenia tylko wtedy, gdy wszystkie inne metody nie będą działać.

Wymuszaj usunięcie powyższych trzech pakietów, uruchamiając poniższe polecenia,

sudo dpkg --purge --force-all --force-remove-reinstreq linux-image-generic-pae
sudo dpkg --purge --force-all --force-remove-reinstreq linux-headers-generic-pae
sudo dpkg --purge --force-all --force-remove-reinstreq linux-generic-pae

Teraz możesz uruchomić aktualizację,

sudo apt-get -f install
sudo apt-get upgrade

Jeśli chcesz ponownie zainstalować pakiety, uruchom poniższe

sudo apt-get install linux-image-generic-pae
sudo apt-get install linux-headers-generic-pae
sudo apt-get install linux-generic-pae

1
Były dwa problemy. Po pierwsze, stare jądra nie zostały usunięte, więc moja partycja zapełniła się. Po drugie, podejrzewam, że uaktualnienie nie powiodło się, pozostawiając pomieszane zależności.
BentFranklin

Widziałem wątki pokazujące tę odpowiedź, ale były one przeznaczone do zastosowań, a nie do wewnętrznych elementów systemu, więc bałem się beztrosko usunąć linux-generic-pae i jego krewnych.
BentFranklin
Korzystając z naszej strony potwierdzasz, że przeczytałeś(-aś) i rozumiesz nasze zasady używania plików cookie i zasady ochrony prywatności.
Licensed under cc by-sa 3.0 with attribution required.